Subject: Bug#916446: netcfg: please statically define ip4-localhost (mirroring ip6-localhost)

From: Cyril Brulebois <[email-masked]>
Date: Mon, 18 Oct 2021 15:13:57 +0200

Hi Jonathan,

Jonathan Dowland <[email-masked]> (2021-10-18):
> I got a notification that someone asked a question on the Merge Request
> and that reminded me of this, two years later.
> 
> I think this would still be useful, and the commit still applies cleanly
> to today's netcfg `master` branch. Could someone please consider this?
> Here are two other people who have requested the same thing over the
> years:
> <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=858011;msg=5>,
> <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=427067#5>.

I don't think we should have different things done by d-i (via netcfg)
and by netbase (via its postinst). The latter doesn't seem to do that at
the moment?

Cheers,
-- 
Cyril Brulebois ([email-masked])            <https://debamax.com/>
D-I release manager -- Release team member -- Freelance Consultant